*,html{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.body{
    width: 100vw;
    height: 100vh;
    font-family: Arial;
    max-width: 1440px ;
    margin: 0 auto;
}

.header {
    background-color: #4a388f;
    justify-content: center;
    height: 8%;
    display: flex;
}

.header__fig{
    display: flex;
    height: 100%;
    align-items: center;
    text-align: center;
    margin-left: 1rem;
}

.header__icon{
    height: 60%;
    justify-content: center;

}

.header__title{
    margin: 0 auto;
    font-size: 1.3rem;
    color: #ffff;
    display:flex;
    align-items: center;
    
}

.main{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 60%;
    align-items: center;
    margin: 0  auto;
    background-color: #b195dd;
    width: 100%;
}

.pokemon{
    width: 70%;
    height: 50%;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    margin: 0 auto;
    z-index: 0;
    margin-bottom: -5rem;
    
}

.pokemon__content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;

}

.pokemon__fig{
    align-items: center;
    background-color: #ffff;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 0.5rem;
    gap: 1rem;
   
}

.pokemon__element{
    width: 1.8rem;
}

.pokemon__name{
    font-size: 1.3rem;
}

.pokemon__img{
    height:80%;
    width: 100%;
}

.pokemon__body{
    width: 100%;
    height: 100%;
    aspect-ratio: 1/1;
}

.info{
    display: grid;
    width: 70%;
    height: 50%;
    background-color: #ffff;
    border-radius: 5px;
    margin: 0 auto;
    place-content:space-around;
    padding: 1rem;
}

.info__des, .info__name{
  color: #302f2f;
  min-width: 50%;
  text-align: left;
}

.info__des{
    font-size: 1.3rem;
}

.info__name{
    font-size: 1rem;
}

.info__data{
    display: flex;
    column-gap: 1rem;

}

.footer{

    height: 32%;
    background-color: #ffff;
    border-radius: 0.3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.footer_content{
    text-align: left;
    
}

.footer__others{
    display: flex;
    flex-wrap: wrap;
    width: 70%;
    height: 70%;
    gap:1rem;
    justify-content: center;
    margin-block: 1rem;
    
}

.footer__fig{

    width: 35%;
    height: 38%;
    margin: 0 auto; 
    padding: 4px;
    background-color: #c0c0c0;
    border-radius: 1rem;
    transform-origin: 0 0;
    overflow: hidden; 
    aspect-ratio: 1/1;
    filter: brightness(1);
    
}

.footer__fig:hover{
    transform: scale(1.1);
    transition: all 700ms;
    filter: brightness(0.3);
}

.footer__img{
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    height: 100%;
    aspect-ratio: 1/1;

    
}

.footer__others{
    display: flex;
    flex-wrap: wrap;
    width: 70%;
    height: 70%;
    gap:1rem;
    justify-content: center;
    margin-block: 1rem;
    column-gap: 2.5rem;

    
}

.footer__name{
    text-align: center;
    color: #616161;
    font-size: 1.5rem;
}

@media screen and (min-width: 760px) {

    .header {
        height: 6%;
        justify-content: start;
      }


    .main{
       column-gap: 10%;
       padding-inline: 10%;
       flex-direction: row;
       height: 76%;
       align-items: flex-start;
       padding: 3rem 2rem;
    }

    .pokemon{
        align-items: center;
        width: 45%;
        height: 100%;
    }

    .info{
        width: 50%;
        height: 100%;
        grid-template-columns: repeat(2, 1fr); 
    }

    .pokemon__content{
        flex-direction: column;
        justify-content: space-between;
    }

    .info__data{
        padding: 0.6rem;
        flex-direction: column;
        align-items: center;
    }

    .info__des, .info__name{ 
        width: 50%;
        height: 80%;
        text-align: center;
      }
    .info__name{
        font-size: 1.3rem;
     } 
     .info__des{
         font-size: 1.6rem;
          font-weight: bold;
    }
    
    .footer{
        height: 18%;
        flex-direction: row;
        padding-inline: 4.5%;
    }
   
    .footer__content{
        width: 20%;   
    }

    .footer__name{
        width: 40%;
    }

    .footer__others{
        height: auto;
        width: 80%;
        gap:3.3rem
    }

    .footer__fig{
        width: 15%;
    }
   
}
@media screen and (min-width: 1020px){

    .main{
        column-gap: 5%;
        padding: 4rem 5rem;
    }

    .footer{
        padding-inline: 6%;
    }
}


@media screen and (min-width: 1400px){

    .main{
        column-gap: 5%;
        padding: 4rem 9rem;
    }

    .footer{
        padding-inline: 3.7%;

    }
    
    .footer__fig{
        width: 14%;
    }

    .footer__content{
        width: 40%;   
    }

    .footer__others{
        height: auto;
        width: 52%;
        gap:1.3rem
    }

 
    
    
}


